---
updatedAt: 2025-06-12T23:58:49.000Z
agentTools:
  projectIndex: https://docs.fiatrepublic.com/llms.txt
---

# List Webhooks

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "fiat-republic",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://sandbox.fiatrepublic.com/api/v1"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "oauth2",
        "flows": {}
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/webhooks": {
      "get": {
        "summary": "List Webhooks",
        "description": "",
        "operationId": "list-webhooks",
        "parameters": [
          {
            "name": "limit",
            "in": "query",
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          },
          {
            "name": "offset",
            "in": "query",
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          },
          {
            "name": "status",
            "in": "query",
            "description": "Accepts multiple values.",
            "schema": {
              "type": "string",
              "enum": [
                "ENABLED",
                "DISABLED"
              ]
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "[\n    {\n        \"id\": \"whk_emv4j231821oaz56yx\",\n        \"url\": \"https://webhook.site/fc5201ce-e1b6-4bf7-8b73-37ae92c99736\",\n        \"events\": [\n            \"INDIVIDUAL_END_USER.CREATED\",\n            \"PAYMENT.CREATED\",\n            \"FIAT_ACCOUNT.CREATED\",\n            \"FIAT_ACCOUNT.UPDATED\",\n            \"FIAT_ACCOUNT.STATUS_UPDATED\",\n            \"INDIVIDUAL_END_USER.STATUS_UPDATED\"\n        ],\n        \"status\": \"ENABLED\",\n        \"description\": \"just some test webhook\",\n        \"createdAt\": 1637600101003,\n        \"updatedAt\": 1637600101003,\n        \"metadata\": null\n    },\n    {...},\n    {...}\n]"
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          }
        },
        "deprecated": false,
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl --request GET \\\n     --url https://sandbox.fiatrepublic.com/api/v1/webhooks \\\n     --header 'Accept: application/json' \n     --header 'Authorization: Basic ZmlhdHJlcHVibGljOmZpYXRyZXB1YmxpYw==' \\"
            }
          ],
          "samples-languages": [
            "curl"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```